package data_manage

// PushBusinessIndexReq
// @Description:  添加外部指标（商家）请求
type PushBusinessIndexReq struct {
	IndexCode  string               `description:"指标编码"`
	IndexName  string               `description:"指标名称"`
	Unit       string               `description:"单位"`
	Frequency  string               `description:"频度"`
	SourceName string               `description:"数据来源名称"`
	Remark     string               `description:"备注字段"`
	DataList   []AddBusinessDataReq `description:"指标数据"`
}

// AddBusinessDataReq
// @Description: 外部指标（商家系统）数据
type AddBusinessDataReq struct {
	Value float64 `description:"值"`
	Date  string  `description:"日期"`
}

// DelBusinessIndexReq
// @Description:  删除外部指标（商家）请求
type DelBusinessIndexReq struct {
	IndexCodeList []string `description:"指标编码列表"`
}

// DelBusinessDataReq
// @Description:  删除外部指标（商家）明细请求
type DelBusinessDataReq struct {
	IndexCode string `description:"指标编码"`
	StartDate string `description:"开始日期"`
	EndDate   string `description:"结束日期"`
}
