package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ChartController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "BusinessEdbDataDel",
            Router: `/business/data/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "BusinessEdbDel",
            Router: `/business/edb/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "BusinessEdbList",
            Router: `/business/edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "EdbData",
            Router: `/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "EdbInfoDataSeasonal",
            Router: `/data/seasonal`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "EdbInfoDataTb",
            Router: `/data/tb`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "Push",
            Router: `/push`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbController"],
        beego.ControllerComments{
            Method: "SourceList",
            Router: `/source/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "ComTradeCountryList",
            Router: `/com_trade/country/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "ComTradeDataList",
            Router: `/com_trade/data/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "ComTradeList",
            Router: `/com_trade/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "TraceEdbInfo",
            Router: `/edb_info/trace`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EiaSteoClassify",
            Router: `/eia_steo/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EiaSteoData",
            Router: `/eia_steo/data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "SaveRelationEdbRefreshStatus",
            Router: `/refresh/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"],
        beego.ControllerComments{
            Method: "Approve",
            Router: `/approve`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:EnglishReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:OutsideReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:OutsideReportController"],
        beego.ControllerComments{
            Method: "DocumentSave",
            Router: `/document/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Approve",
            Router: `/approve`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListClassifyV2",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/classify/list/bak`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:ResourceDealWithController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:ResourceDealWithController"],
        beego.ControllerComments{
            Method: "FileUpload",
            Router: `/file/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"],
        beego.ControllerComments{
            Method: "SandboxClassifyItems",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"],
        beego.ControllerComments{
            Method: "SandboxClassifyList",
            Router: `/classifyList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"],
        beego.ControllerComments{
            Method: "GetSandboxDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SandboxController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"],
        beego.ControllerComments{
            Method: "Approve",
            Router: `/approve`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SmartReportController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:StatisticAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:StatisticAnalysisController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/chart/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:StatisticAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:StatisticAnalysisController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"],
        beego.ControllerComments{
            Method: "StockPlantEdbDetail",
            Router: `/stock_plant/edb/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"],
        beego.ControllerComments{
            Method: "StockPlantEdbList",
            Router: `/stock_plant/edb/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SupplyAnalysisController"],
        beego.ControllerComments{
            Method: "StockPlantVarietyList",
            Router: `/stock_plant/variety/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:SysAdminController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:SysAdminController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/sysuser/check`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "CffexDataList",
            Router: `/data/cffex`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "DalianDataList",
            Router: `/data/dalian`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicContinentListV2",
            Router: `/data/eicContinentV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicDataV2",
            Router: `/data/eicDataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicHistoryDataV2",
            Router: `/data/eicHistoryDataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicLatestDateV2",
            Router: `/data/eicLatestDateV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "EicDataListV2",
            Router: `/data/eicSSODataV2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExchangeClassify",
            Router: `/data/exchange/classify`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ExchangeClassifyContract",
            Router: `/data/exchange/classifyContract`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "IneDataList",
            Router: `/data/ine`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ShfeDataList",
            Router: `/data/shfe`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"] = append(beego.GlobalControllerRouter["eta/eta_hub/controllers:TradeCommonController"],
        beego.ControllerComments{
            Method: "ZhengzhouDataList",
            Router: `/data/zhengzhou`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
